Skip to main content

Re: [BD-J-DEV] GRIN Compiled with..

7 replies [Last post]
Anonymous

Anything destined for use on a BD disc should be compiled with 1.31.

Cheers,
Joe

--- bd-j-dev@mobileandembedded.org wrote:

From: bd-j-dev@mobileandembedded.org
To: bd-j-dev@hdcookbook.dev.java.net
Subject: [BD-J-DEV] GRIN Compiled with..
Date: Wed, 23 Jan 2008 06:36:03 PST

Hello,

I was wondering if someone knew which JDK/JRE/JME version the GRIN framework should be compiled with to get it to playback in softplayers. We have compiled the gun bunny jar file and replaced it with the one on the disc image that comes with book. We verified that the files inside the jar are 100% the same files as in the original (00003.jar). However when we call the game in the softplayer it freezes the player. We do notice that some of the class files are different sizes then the original so we are thinking that the version of the JDK we are using is not correct.

Thank you in advance.

Scott
[Message sent by forum member 'bddeveloper' (bddeveloper)]

http://forums.java.net/jive/thread.jspa?messageID=255350

---------------------------------------------------------------------
To unsubscribe, e-mail: bd-j-dev-unsubscribe@hdcookbook.dev.java.net
For additional commands, e-mail: bd-j-dev-help@hdcookbook.dev.java.net

---------------------------------------------------------------------
To unsubscribe, e-mail: bd-j-dev-unsubscribe@hdcookbook.dev.java.net
For additional commands, e-mail: bd-j-dev-help@hdcookbook.dev.java.net

Reply viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.
bddeveloper
Offline
Joined: 2008-01-14
Points: 0

Hello Bill,

It looks like we are using the same versions as well. We made a lot of progress running the ant script execute for the following message:

sign-xlets:
[java] keytool error: java.lang.Exception: Alias does not exist

Sorry we are not familiar with application signing, we did a quick search on the net and the only thing we could find was Solaris related results.

Thank you,

Scott

chihiro_saito
Offline
Joined: 2006-11-08
Points: 0

Hi Scott,

Try deleting the keystore file at
/grin manually.

It's a known bug in our build system, sorry.

Chihiro

bddeveloper
Offline
Joined: 2008-01-14
Points: 0

That did it thanks!

bddeveloper
Offline
Joined: 2008-01-14
Points: 0

Hello Joe,

Thank you that was very helpful. We tried from 1.4 to 1.6 but never thought to try 1.3. We are unfortunately still getting it to freeze. The Class files are still rather different in size, and we are thinking maybe the 00003.jar file from the book's Disc Image is different from the code that comes with the book. Maybe the differences are throwing an exception which is causing the player to hang?

Thank you,

Scott

Bill Foote

Hi Scott,

Try the ant build scripts that come in the repository. Just typing
"ant" from the base directory should build everything.

The build scripts correctly set the source and target version args
to 1.3 when they call javac, viz:



destdir="${MENUXLET_DEST}/classes"
source="1.3" target="1.3"

Cheers,

Bill

bd-j-dev@mobileandembedded.org wrote:
> Hello Joe,
>
> Thank you that was very helpful. We tried from 1.4 to 1.6 but never thought to try 1.3. We are unfortunately still getting it to freeze. The Class files are still rather different in size, and we are thinking maybe the 00003.jar file from the book's Disc Image is different from the code that comes with the book. Maybe the differences are throwing an exception which is causing the player to hang?
>
> Thank you,
>
> Scott
> [Message sent by forum member 'bddeveloper' (bddeveloper)]
>
> http://forums.java.net/jive/thread.jspa?messageID=255370
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: bd-j-dev-unsubscribe@hdcookbook.dev.java.net
> For additional commands, e-mail: bd-j-dev-help@hdcookbook.dev.java.net
>

---------------------------------------------------------------------
To unsubscribe, e-mail: bd-j-dev-unsubscribe@hdcookbook.dev.java.net
For additional commands, e-mail: bd-j-dev-help@hdcookbook.dev.java.net

bddeveloper
Offline
Joined: 2008-01-14
Points: 0

Hi Bill,

We are on window machines here and the path for ant isn't automatic with the install of netbeans and eclipse. Which version of Ant do you recommend us using?

Thanks,

Scott

Bill Foote

We're mostly using Windows too - be sure to override any
paths you need to in grin/user.vars.properties.

Anyway, "ant -version" tells me I'm using ant version 1.7,
and I'm using NetBeans 6.0.

Cheers,

Bill

bd-j-dev@mobileandembedded.org wrote:
> Hi Bill,
>
> We are on window machines here and the path for ant isn't automatic with the install of netbeans and eclipse. Which version of Ant do you recommend us using?
>
> Thanks,
>
> Scott
> [Message sent by forum member 'bddeveloper' (bddeveloper)]
>
> http://forums.java.net/jive/thread.jspa?messageID=255402
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: bd-j-dev-unsubscribe@hdcookbook.dev.java.net
> For additional commands, e-mail: bd-j-dev-help@hdcookbook.dev.java.net
>

---------------------------------------------------------------------
To unsubscribe, e-mail: bd-j-dev-unsubscribe@hdcookbook.dev.java.net
For additional commands, e-mail: bd-j-dev-help@hdcookbook.dev.java.net